%global debug_package %{nil}
%global pypi_name mailbox
%global pypi_version 0.4
%global toolchain clang

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %autorelease
Summary:        Python IMAP for Humans

License:        MIT
URL:            https://github.com/martinrusev/mailbox
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  clang
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(wheel)

%global _description %{expand:
A Python library for reading IMAP mailboxes and converting the email content to
human readable data.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l mailbox


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sat Jul 05 2025 David Andres Ramirez Salomon <david35mm@disroot.org> - 0.4-1
- Initial package.
